<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1certified_sender.html">certifiedSender</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">MessageStorageInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::certifiedSender::MessageStorageInterface Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a>(int messageId)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a>(std::queue&lt; StoredMessage &gt; *messageContainer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a>(const std::string &amp;message, int *id)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a75f8c604874181dc95f58333383fea5e">~MessageStorageInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
